AI 任务是异步处理的。功能支持 Webhook 时,优先用 Webhook 来接收完成通知。配置好您的 Webhook 端点、校验 Webhook 签名,收到 success 或 error 通知后,用收到的 task_id 查询任务结果。配置与校验的细节请见 Webhook 接入指南。
若功能不支持 Webhook,或您的接入方式用不了 Webhook,就请实现轮询。提交 AI 任务后,按固定间隔(例如每 10 秒)轮询状态接口,直到任务状态变为 success 或 error。
安全
BearerAuthenticationV2
- https://yce-api-01.makeupar.comhttps://yce-api-01.makeupar.com/s2s/v2.0/task/body-reshape
curl -i -X POST \
https://yce-api-01.makeupar.com/s2s/v2.0/task/body-reshape \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"src_file_url": "https://example.com/selfie.jpg",
"version": "1.0",
"index": 0,
"features": {
"arm": 0,
"breast": 0,
"breast_left": 0,
"breast_right": 0,
"hip": 0,
"hip_lift": 0,
"leg": 0,
"neck": 0,
"neck_left": 0,
"neck_right": 0,
"shoulder": 0,
"shoulder_left": 0,
"shoulder_right": 0,
"squared_shoulder": 0,
"squared_shoulder_left": 0,
"squared_shoulder_right": 0,
"slim": 0,
"taller": 0,
"waist": 0,
"belly": 0
}
}'响应
{ "status": 200, "data": { "task_id": "grH0CvsgXuAIHLUzD0V1Ol34hoet3R1tvdbtiVHrDb6_UqCLKIejAIajwxrhOAfe" } }